Package org.eclipse.graphiti.ui.internal.policy

## Class ConnectionHighlightEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.SelectionEditPolicy
      - - org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
        - - org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy
          - - org.eclipse.graphiti.ui.internal.policy.ConnectionHighlightEditPolicy

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

    public class ConnectionHighlightEditPolicy
    extends org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy

An EditPolicy, which gives feedback for if a ConnectionEditPart is selected. This includes the connection-handles at the start/end of the connection. It does not create any commands.

See Also:
  `IEditPolicyFactory.createConnectionHighlightEditPolicy()`

### Field Summary

### Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`handles`

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
`protected` `ConnectionHighlightEditPolicy​(IConfigurationProviderInternal configurationProvider)` Creates a new ConnectionHighlightEditPolicy.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addSelectionHandles()` Is called when the ConnectionEditPart is 'selected'.
`protected java.util.List<org.eclipse.gef.Handle>` `createSelectionHandles()`
`protected IConfigurationProviderInternal` `getConfigurationProvider()`
`protected void` `hideSelection()`
`protected void` `removeHighlight()`
`protected void` `removeSelectionHandles()` Is called when the previously 'selected' ConnectionEditPart is 'deselected'.
`protected void` `showHighlight()`

### Methods inherited from class org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy

`eraseConnectionMoveFeedback, eraseSourceFeedback, getCommand, getConnection, getFeedbackHelper, hideFocus, showConnectionMoveFeedback, showFocus, showSourceFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`getAdapter, showSelection`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy

`activate, addSelectionListener, deactivate, getTargetEditPart, removeSelectionListener, setFocus, setSelectedState, showPrimarySelection`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionHighlightEditPolicy

    protected ConnectionHighlightEditPolicy​(IConfigurationProviderInternal configurationProvider)

Creates a new ConnectionHighlightEditPolicy.

Parameters:
  `configurationProvider` - The IConfigurationProviderInternal.

### Method Detail

#### getConfigurationProvider

    protected final IConfigurationProviderInternal getConfigurationProvider()

#### addSelectionHandles

    protected void addSelectionHandles()

Is called when the ConnectionEditPart is 'selected'. It then highlights the selected ConnectionEditPart.

Overrides:
  `addSelectionHandles` in class `org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy`
See Also:
  `SelectionHandlesEditPolicy.addSelectionHandles()`

#### removeSelectionHandles

    protected void removeSelectionHandles()

Is called when the previously 'selected' ConnectionEditPart is 'deselected'. It then disables the highlight of the selected ConnectionEditPart.

Overrides:
  `removeSelectionHandles` in class `org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy`
See Also:
  `SelectionHandlesEditPolicy.removeSelectionHandles()`

#### showHighlight

    protected void showHighlight()

#### removeHighlight

    protected void removeHighlight()

#### hideSelection

    protected void hideSelection()

Overrides:
  `hideSelection` in class `org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy`

#### createSelectionHandles

    protected java.util.List<org.eclipse.gef.Handle> createSelectionHandles()

Overrides:
  `createSelectionHandles` in class `org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy`